/*
This program has been developed by students from the bachelor Computer Science at Utrecht University within the Software Project course.
© Copyright Utrecht University (Department of Information and Computing Sciences)
*/

package databaseinfo

import "query-service/internal/drivers/rpcdriver"

/*
Service implements the databaseinfo usecases
*/
type Service struct {
	rpcDriver rpcdriver.DriverInterface
}

/*
NewService creates a new databaseinfo service
	rpcDriver: rpcdriver.DriverInterface, the driver for the new service
	Return: *Service, the new service
*/
func NewService(rpcDriver rpcdriver.DriverInterface) *Service {
	return &Service{
		rpcDriver: rpcDriver,
	}
}
